#! /usr/bin/env node
"use strict";
var build_1 = require("./build");
var util_1 = require("./util");
var defaultOptionValues = {};
build_1.setDefaultOptionValues(defaultOptionValues);
var cli = require("command-line-args")(util_1.commonArgs.concat({ name: "arch", type: String, defaultValue: defaultOptionValues.arch, description: "ia32, x64 or all (by default)." }, { name: "dist", type: Boolean, alias: "d", defaultValue: false, description: "Whether to package in a distributable format (e.g. DMG, windows installer, NuGet package)." }, { name: "build", type: Boolean, defaultValue: false, description: "Deprecated, use dist instead." }, { name: "sign", type: String }, { name: "platform", type: String, defaultValue: defaultOptionValues.platform, description: "darwin or win32. Curent platform (" + process.platform + ") by default." }, { name: "help", alias: "h", type: Boolean }));
var args = cli.parse();
if (args.help) {
    console.log(cli.getUsage({ hide: ["build"] }));
}
else {
    if (args.build) {
        args.dist = true;
    }
    new build_1.Packager(args);
}
//# sourceMappingURL=build-cli.js.map